std::filesystem::is_other(3)

NAME
std::filesystem::is_other - std::filesystem::is_other

Synopsis
   Defined in header <filesystem>
   bool is_other( std::filesystem::file_status s ) noexcept; (1) (since C++17)
   bool is_other( const std::filesystem::path& p );
   bool is_other( const std::filesystem::path& p, std::error_code& ec (2) (since C++17)
   ) noexcept;
   Checks if the given file status or path corresponds to a file of type other type.
   That is, the file exists, but is neither regular file, nor directory nor a symlink.
   1) Equivalent to exists(s) && !is_regular_file(s) && !is_directory(s) &&
   !is_symlink(s).
   2) Equivalent to is_other(status(p)) or is_other(status(p, ec)), respectively.

Parameters
   s - file status to check
   p - path to examine
   ec - error code to store the error status to

Return value
   true if the file indicated by p or if the type indicated s refers to a file that is
   not regular file, directory, or a symlink, false otherwise. The non-throwing
   overload returns false if an error occurs.

Exceptions
   2) The overload that does not take a std::error_code& parameter throws
   filesystem::filesystem_error on underlying OS API errors, constructed with p as the
   first path argument and the OS error code as the error code argument. The overload
   taking a std::error_code& parameter sets it to the OS API error code if an OS API
   call fails, and executes ec.clear() if no errors occur. Any overload not marked
   noexcept may throw std::bad_alloc if memory allocation fails.

Example
    This section is incomplete
    Reason: no example

See also
   status determines file attributes
   symlink_status determines file attributes, checking the symlink target
   (C++17) (function)
   (C++17)
   file_status represents file type and permissions
   (C++17) (class)
   status_known checks whether file status is known
   (C++17) (function)
   is_block_file checks whether the given path refers to block device
   (C++17) (function)
   is_character_file checks whether the given path refers to a character device
   (C++17) (function)
   is_directory checks whether the given path refers to a directory
   (C++17) (function)
   is_fifo checks whether the given path refers to a named pipe
   (C++17) (function)
   is_regular_file checks whether the argument refers to a regular file
   (C++17) (function)
   is_socket checks whether the argument refers to a named IPC socket
   (C++17) (function)
   is_symlink checks whether the argument refers to a symbolic link
   (C++17) (function)
   exists checks whether path refers to existing file system object
   (C++17) (function)
   is_other checks whether the directory entry refers to an other file
                     (public member function of std::filesystem::directory_entry)